'use strict';

module.exports = function generateItemStyle(tags, classes) {
	let style = {};

	tags.forEach((tag) => {
		if (tag.type === "class") {
			tag.classNames.forEach((className) => {
				if (classes[className] == null) {
					throw new Error(`Encountered unrecognized class ${className} in text`);
				} else {
					Object.assign(style, classes[className]);
				}
			});
		}
	});

	return style;
}
